Subject: Re: [EAI] rfc5335bis and 5336bis ABNF

From: Joseph Yee <[email-masked]>
Date: Mon, 4 Oct 2010 14:55:24 -0400

It is great that to have only one reference of ABNF, less likely to have editing mistakes, and we do have few for RFC5335bis.

The 3 terms mentioned by Ernie are not in the docs, and they all were defined in the original RFC5336 (Section 3.3).  Since we are obsoleting both RFC5335 and RFC5336, it would be nice to include these references in the current bis.  This would speed up IESG review too :)

Thanks
Joseph

On 2010-09-29, at 9:15 PM, Ernie Dainow wrote:

> Regarding Comment 2, The following are not defined anywhere. They should be added to rfc5335bis-02.
> uDomain
> uDot-String
> sub-uDomain
> 
> Here is the result of searching the two documents:
> 
> Search "uDot-String"
> draft-ietf-eai-rfc5335bis-02.txt
> Line 412: uLocal-Part    =  uDot-String / uQuoted-String
> 
> Search "sub-uDomain"
> draft-ietf-eai-rfc5335bis-02.txt
> Line 415:                =  (sub-uDomain 1*("." sub-uDomain)) / address-literal
> 
> So sub-uDomain and uDot-String need to be defined somewhere.
> 
> In rfc5336bis-03
>            uMailbox = uLocal-part "@" uDomain
>              ; uLocal-part and uDomain defined
>              ; in RFC 5335bis, Section 4.
> 
> uLocal-part is defined in rfc5335bis-02 but uDomain is not.
> 
> 
> -Ernie
> 
> 
> On 9/28/2010 5:13 AM, Jiankang YAO wrote:
>> in the current version of the documents, the name defination of rfc5335bis and 5336bis  follow the same rule
>> with the prefix "u" plus the original name:
>> local-part---->uLocal-part
>> 
>> defintion of some names in rfc5336bis refer to 5335bis ABNF
>> if they try to do difine the "same names".
>> 
>> Jiankang Yao
>> 
>> 
>> 
>> ----- Original Message -----
>> From: "Ernie Dainow"<[email-masked]>
>> To: "John C Klensin"<[email-masked]>
>> Cc:<[email-masked]>
>> Sent: Monday, September 27, 2010 11:21 PM
>> Subject: Re: [EAI] Framework (4952bis) approved... next steps
>> 
>> 
>>   
>>>  I posted comments on 5335bis, 5336bis in three emails on Sep 8.  Most
>>> of the comments were editorial in nature to improve readability.
>>> However, one comment pertains to an error in that three referenced ABNF
>>> rules are not defined.
>>> 
>>> There was no follow-up discussion on these emails, so I don't know if
>>> the original comments have been accepted or not.
>>> 
>>> -Ernie
>>> 
>>> On 9/23/2010 5:14 PM, John C Klensin wrote:
>>>     
>>>> Hi.
>>>> 
>>>> The IESG approved 4952bis today and a new --I hope final-- I-D
>>>> has been posted.
>>>> 
>>>> The charter says that we are supposed to wrap up three more
>>>> documents this month (within the next week and a half):
>>>> 
>>>> SMTPext (5336bis)
>>>> Headers (5335bis)
>>>> DSNs, etc. (5337bis)
>>>> 
>>>> My impression is that the first two are pretty close to being
>>>> ready to go, so anyone who thinks they need more work should
>>>> explain what they think is needed, with text, soon --certainly
>>>> by this time next week.  Consider this a tentative WG Last Call
>>>> on both documents.
>>>> 
>>>> If they are actually stable, we need to start pushing ahead with
>>>> the next batch of documents (for which we don't even have I-Ds
>>>> yet).
>>>> 
>>>> We apparently still don't have an I-D for 5337bis, which is now
>>>> very much in the critical path.  Tony, what is a realistic
>>>> schedule?
>>>> 
>>>> thanks,
>>>>       john
>>>> _______________________________________________
>>>> IMA mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/ima
>>>>       
>>> _______________________________________________
>>> IMA mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/ima
>>>     
>> >
> 
> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima

---

From: Joseph Yee <[email-masked]>
Date: Mon, 4 Oct 2010 15:56:04 -0400

> The 3 terms mentioned by Ernie are not in the docs, and they all were defined in the original RFC5336 (Section 3.3).  Since we are obsoleting both RFC5335 and RFC5336, it would be nice to include t…

correction: I meant to include these *definitions* in the current bis.

Joseph

---

From: "Jiankang YAO" <[email-masked]>
Date: Thu, 21 Oct 2010 14:35:42 +0800

----- Original Message ----- 
From: "Joseph Yee" <[email-masked]>
To: "EAI WG" <[email-masked]>
Sent: Tuesday, October 05, 2010 3:56 AM
Subject: Re: [EAI] rfc5335bis and 5336bis ABNF

>> The 3 terms mentioned by Ernie are not in the docs, and they all were defined in the original RFC5336 (Section 3.3).  >Since we are obsoleting both RFC5335 and RFC5336, it would be nice to include these references in the current bis.  >This would speed up IESG review too :)
> 

discussion with Abel, these definitions will be in the new version of rfc5335bis.

Jiankang Yao